Bug 853042 - Guvnor - BPMN2 Web Editor: No EnumDataType or ListDataType editor
Guvnor - BPMN2 Web Editor: No EnumDataType or ListDataType editor
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 06:57 EDT by Johnathan Ingram
Modified: 2012-09-10 21:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-233 Major Pending Product Management Triage Add support for ListDataType/EnumDataType to Guvnor - BPMN2 Web Editor 2017-07-04 19:51 EDT

  None (edit)
Description Johnathan Ingram 2012-08-30 06:57:42 EDT
Description of problem:
When defining a work item definition that uses 
  org.drools.process.core.datatype.impl.type.EnumDataType
  org.drools.process.core.datatype.impl.type.ListDataType

The web editor for BPMN2 does not contain an editor to be able to assign pre-defined enums or create a new list of defined objects to assign to the parameters defined in the work ite,

Version-Release number of selected component (if applicable):
5.3

How reproducible:

import org.drools.process.core.datatype.impl.type.BooleanDataType;
import org.drools.process.core.datatype.impl.type.EnumDataType;
import org.drools.process.core.datatype.impl.type.ListDataType;
import org.drools.process.core.datatype.impl.type.StringDataType;
[
  [
    "name" : "JBpm5ESBDef7",
    "parameters" : [
      "ServiceCategory" : new StringDataType(),
      "ServiceName" : new StringDataType(),
      "AdvancedMapping" : new ListDataType(StringDataType()),
      "CompleteTask" : new EnumDataType("x.y"), 
      "FromUri" : new StringDataType(),
      "RelatesToUri" : new StringDataType(),
      "ActionUri" : new StringDataType(),
      "ReplyToUri" : new StringDataType(),
      "FaultToUri" : new StringDataType()
    ],
    "displayName" : "JBpm5ESBDef7",
    "icon" : "",
    "eclipse:customEditor" : "org.drools.eclipse.flow.common.editor.editpart.work.SampleCustomEditor",
    "category" : "ESB Integration",
    "defaultHandler" : "org.rogueware.jboss.middleware.brms.domain.services.soa.esb.tasks.EsbInvokeServiceWorkItem"
  ]
]

Try assign AdvancedMapping and CompleteTask in web editor.


Expected results:
Editor supposed to present drop down of enum values
Editor supposed to allow multi-valies (list)

Additional info:
These items are also not found in the documentation anywhere.
Make its difficult to work with.

Note You need to log in before you can comment on or make changes to this bug.